Package net.sf.saxon.expr

## Class StackFrame

- java.lang.Object
- - net.sf.saxon.expr.StackFrame

-     public class StackFrame
      extends java.lang.Object

  This class represents a stack frame holding details of the variables used in a function or in an XSLT template.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Stack<Sequence>` | `dynamicStack` |
    `static StackFrame` | `EMPTY` |
    `protected SlotManager` | `map` |
    `protected Sequence[]` | `slots` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StackFrame​(SlotManager map, Sequence[] slots)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StackFrame` | `copy()` |
    `SlotManager` | `getStackFrameMap()` |
    `Sequence[]` | `getStackFrameValues()` |
    `boolean` | `holdsDynamicValue()` |
    `Sequence` | `popDynamicValue()` |
    `void` | `pushDynamicValue​(Sequence value)` |
    `void` | `setStackFrameValues​(Sequence[] values)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          protected SlotManager map

    - #### slots

          protected Sequence[] slots

    - #### dynamicStack

          protected java.util.Stack<Sequence> dynamicStack

    - #### EMPTY

          public static final StackFrame EMPTY

  - ### Constructor Detail

    - #### StackFrame

          public StackFrame​(SlotManager map,
                            Sequence[] slots)

  - ### Method Detail

    - #### getStackFrameMap

          public SlotManager getStackFrameMap()

    - #### getStackFrameValues

          public Sequence[] getStackFrameValues()

    - #### setStackFrameValues

          public void setStackFrameValues​(Sequence[] values)

    - #### copy

          public StackFrame copy()

    - #### pushDynamicValue

          public void pushDynamicValue​(Sequence value)

    - #### popDynamicValue

          public Sequence popDynamicValue()

    - #### holdsDynamicValue

          public boolean holdsDynamicValue()